package eshopcxfservice;

import javax.jws.WebMethod;
import javax.jws.WebParam;
import javax.jws.WebResult;
import javax.jws.WebService;
import javax.xml.bind.annotation.XmlSeeAlso;
import javax.xml.ws.RequestWrapper;
import javax.xml.ws.ResponseWrapper;

/**
 * This class was generated by Apache CXF 3.4.3
 * 2021-04-11T12:12:05.793+02:00
 * Generated source version: 3.4.3
 *
 */
@WebService(targetNamespace = "http://eshopCXFService/", name = "PropertySetter")
@XmlSeeAlso({org.oasis_open.docs.wss._2004._01.oasis_200401_wss_wssecurity_secext_1_0.ObjectFactory.class, ObjectFactory.class})
public interface PropertySetter {

    @WebMethod
    @RequestWrapper(localName = "publishNewDescription", targetNamespace = "http://eshopCXFService/", className = "eshopcxfservice.PublishNewDescription")
    @ResponseWrapper(localName = "publishNewDescriptionResponse", targetNamespace = "http://eshopCXFService/", className = "eshopcxfservice.PublishNewDescriptionResponse")
    @WebResult(name = "return", targetNamespace = "")
    public boolean publishNewDescription(

        @WebParam(name = "arg0", targetNamespace = "")
        java.lang.String arg0,
        @WebParam(name = "arg1", targetNamespace = "")
        java.lang.String arg1
    );

    @WebMethod
    @RequestWrapper(localName = "publishNewImageURL", targetNamespace = "http://eshopCXFService/", className = "eshopcxfservice.PublishNewImageURL")
    @ResponseWrapper(localName = "publishNewImageURLResponse", targetNamespace = "http://eshopCXFService/", className = "eshopcxfservice.PublishNewImageURLResponse")
    @WebResult(name = "return", targetNamespace = "")
    public boolean publishNewImageURL(

        @WebParam(name = "arg0", targetNamespace = "")
        java.lang.String arg0,
        @WebParam(name = "arg1", targetNamespace = "")
        java.lang.String arg1
    );

    @WebMethod
    @RequestWrapper(localName = "publishNewPrice", targetNamespace = "http://eshopCXFService/", className = "eshopcxfservice.PublishNewPrice")
    @ResponseWrapper(localName = "publishNewPriceResponse", targetNamespace = "http://eshopCXFService/", className = "eshopcxfservice.PublishNewPriceResponse")
    @WebResult(name = "return", targetNamespace = "")
    public boolean publishNewPrice(

        @WebParam(name = "arg0", targetNamespace = "")
        java.lang.String arg0,
        @WebParam(name = "arg1", targetNamespace = "")
        double arg1
    );
}
